# Get attributes by user ID

Gets a list of user’s attributes. Returns only attributes values for user by his ID.

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: GET /projects/{project_id}/users/{user_id}/attributes
Version: v1
Security: AttributesServer

## Path parameters:

  - `project_id` (string, required)
    Login project ID from Publisher Account.

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

## Response 200 fields (application/json):

  - `attr_type` (string)
    Definition of user’s access level to service attributes.
    Enum: "client", "server"

  - `data_type` (string,null)
    Data type of attribute
    Enum: "string", "number", "integer", "boolean"

  - `description` (string,null)
    Description of attribute from JSON Schema.

  - `format` (string,null)
    Format of attribute from JSON Schema. Can be date-time, date, time, duration, email, uri, uuid or other from JSON Schema [specification](https://json-schema.org/draft/2020-12/json-schema-validation.html#rfc.section.7.3)

  - `key` (string, required)
    Name of attribute that is used to identify user’s attribute.

  - `permission` (string,null)
    Definition of user’s access level to other users’ attributes.
    Enum: "public", "private"

  - `publisher_project_id` (integer,null)
    Merchant Project ID

  - `readonly` (boolean, required)
    The attribute is read-only

  - `value` (string, required)
    Value of user’s attribute.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error_code` (string)
    Error code.

  - `error_description` (string)
    Error description.


